set(CMAKE_SYSTEM_NAME Darwin)
set(TOOLCHAIN_PREFIX x86_64-apple-darwin14)
set(TOOLCHAIN_PATH /usr/${TOOLCHAIN_PREFIX})

#set(CMAKE_C_COMPILER ${TOOLCHAIN_PATH}/bin/cc)
#set(CMAKE_CXX_COMPILER ${TOOLCHAIN_PATH}/bin/c++)
#set(CMAKE_AR ${TOOLCHAIN_PATH}/bin/ar CACHE FILEPATH "Archiver")
#set(CMAKE_LINKER ${TOOLCHAIN_PATH}/bin/ld  CACHE FILEPATH "Linker")

set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
